Pins
Update a pin
Update the placement of a pin.
PATCH
/
v1
/
pins
/
{resourceType}
/
{resourceId}
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const pin = await client.pins.update('7c9e6679-7425-40de-944b-e07fc1f90ae7', {
resourceType: 'session',
placement: {
target: {
type: 'session',
id: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
},
position: 'before',
},
});curl --request PATCH \
--url https://api.tembo.io/v1/pins/{resourceType}/{resourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"placement": {
"target": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
'import requests
url = "https://api.tembo.io/v1/pins/{resourceType}/{resourceId}"
payload = { "placement": { "target": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({placement: {target: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}}})
};
fetch('https://api.tembo.io/v1/pins/{resourceType}/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/pins/{resourceType}/{resourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'placement' => [
'target' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/pins/{resourceType}/{resourceId}"
payload := strings.NewReader("{\n \"placement\": {\n \"target\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/pins/{resourceType}/{resourceId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"placement\": {\n \"target\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/pins/{resourceType}/{resourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"placement\": {\n \"target\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"updated": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
session, pull_request, project Body
application/json
Show child attributes
Show child attributes
Response
Update a pin
Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const pin = await client.pins.update('7c9e6679-7425-40de-944b-e07fc1f90ae7', {
resourceType: 'session',
placement: {
target: {
type: 'session',
id: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
},
position: 'before',
},
});curl --request PATCH \
--url https://api.tembo.io/v1/pins/{resourceType}/{resourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"placement": {
"target": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
'import requests
url = "https://api.tembo.io/v1/pins/{resourceType}/{resourceId}"
payload = { "placement": { "target": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({placement: {target: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}}})
};
fetch('https://api.tembo.io/v1/pins/{resourceType}/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/pins/{resourceType}/{resourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'placement' => [
'target' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/pins/{resourceType}/{resourceId}"
payload := strings.NewReader("{\n \"placement\": {\n \"target\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/pins/{resourceType}/{resourceId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"placement\": {\n \"target\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/pins/{resourceType}/{resourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"placement\": {\n \"target\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"updated": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}